Choose whether to collect task analytics included with OpenWork Models
curl --request PATCH \
--url https://api.openworklabs.com/v1/inference/analytics/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"consentVersion": 1
}
'import requests
url = "https://api.openworklabs.com/v1/inference/analytics/settings"
payload = {
"enabled": True,
"consentVersion": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, consentVersion: 1})
};
fetch('https://api.openworklabs.com/v1/inference/analytics/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"available": true,
"subscribed": true,
"modelsEnabled": true,
"enabled": true,
"consentedAt": "<string>",
"consentVersion": 123,
"exportEnabled": true,
"langfuseHost": "<string>",
"langfuseConfigured": true
}Inference
Choose whether to collect task analytics included with OpenWork Models
PATCH
/
v1
/
inference
/
analytics
/
settings
Choose whether to collect task analytics included with OpenWork Models
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Response
200 - application/json
Updated task analytics choice
Was this page helpful?